#include "hc_legacy_cams.h"
#include "forms.h"
//#include "include/forms.h"
#include "image/flimage.h"


FD_hc_legacycams *fd_hc_legacycams;
FL_IMAGE	*image;
int bigimage=1;
char filename[1024];




void idle_callback()
{
	printf("idle\n"); fflush(stdout);

	image=flimage_load("/tmp/cam1m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview1 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam2m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview2 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam3m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview3 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam4m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview4 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam5m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview5 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam6m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview6 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam7m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview7 ) );
		flimage_free(image);
	}
	image=flimage_load("/tmp/cam8m.jpg");
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camview8 ) );
		flimage_free(image);
	}


	// big image
	sprintf(filename,"/tmp/cam%dl.jpg",bigimage);
	image=flimage_load(filename);
	if (image)
	{
		flimage_display( image, FL_ObjWin( fd_hc_legacycams->camviewmain ) );
		flimage_free(image);
	}
}




int main( int argc, char * argv[ ] )
{
	fl_initialize( &argc, argv, 0, 0, 0 );
	fd_hc_legacycams = create_form_hc_legacycams( );

	fl_show_form( fd_hc_legacycams->hc_legacycams, FL_PLACE_CENTERFREE, FL_FULLBORDER, "hc_legacycams" );

	fl_set_idle_callback( (FL_APPEVENT_CB)idle_callback, NULL );
	//fl_set_idle_delta(DELTA);
 
	flimage_enable_jpeg();

	fl_do_forms( );

	if ( fl_form_is_visible( fd_hc_legacycams->hc_legacycams ) )
        	fl_hide_form( fd_hc_legacycams->hc_legacycams );
    	fl_free( fd_hc_legacycams );
    	fl_finish( );

    	return 0;
}
